/* ************************************************************************
*   File: prool.c                                Part of Virtustan MUD    *
*  Usage: prool subprograms                                               *
*                                                                         *
*  See license.doc and readme.txt for complete information.               *
*                                                                         *
*  Copyleft (C) 2007, Prool                                               *
*                                                                         *
*  Author: Prool, proolix@gmail.com, http://prool.kharkov.org             *
************************************************************************ */

#include "prool.h"
#include <sstream>

extern time_t boot_time;

char *ptime(void) //  :       
	{
	char *tmstr;
	time_t mytime;

	mytime = time(0);

	tmstr = (char *) asctime(localtime(&mytime));
	*(tmstr + strlen(tmstr) - 1) = '\0';

	return tmstr;

	}

char *boottime(void) //  :        MUD
	{
	char *tmstr;

	tmstr = (char *) asctime(localtime(&boot_time));
	*(tmstr + strlen(tmstr) - 1) = '\0';

	return tmstr;

	}

void print_time(void) // :     stdout
	{
	char *tmstr;
	time_t mytime;

	mytime = time(0);

	tmstr = (char *) asctime(localtime(&mytime));
	*(tmstr + strlen(tmstr) - 1) = '\0';

	printf("%s",tmstr);

	return;
	}

void send_email (char *from, char *to, char *subj, char *text)
	{char buf [80*25];

	// char str[]="echo \"Subject: \r\nContent-Type: text/plain; charset=koi8-r\r\n\r\n\"|/usr/sbin/sendmail -F\"VMUD\" proolix@gmail.com\r\n";

	sprintf(buf,"echo \"Subject: %s\r\nContent-Type: text/plain; charset=koi8-r\r\n\r\n%s\"|/usr/sbin/sendmail -F\"%s\" %s\r\n",subj,text,from,to);

	system(buf);
	// printf("send_email(): '%s'\n",buf);
/*
"echo \"Subject:  \r\nContent-Type: text/plain; charset=koi8-r\r\n\r\n  \r\n: %s\r\n: %s\"|/usr/sbin/sendmail -F\"VMUD\" %s\r\n",
*/
	}
